PDA

View Full Version : How to install .pak file rulesets?



Chewable
January 28th, 2011, 14:07
Hello,

I'm trying to install the Dark Heresy ruleset found here (http://oberoten.dyndns.org/fgwiki/index.php/Dark_Heresy)

I've extracted the files into a folder with winrar but when I start up Fantasy Grounds and try to create the campaign the ruleset is not listed in those available.

What do I do?

Sorcerer
January 28th, 2011, 14:47
pak rulesets do not need extracted (although they can be used in extracted form).
However, the pak file does not go in the normal rulesets folder. It has to be placed directly in the program directory (where the the fantasygrounds.exe file is - usually C:\ program files\fantasy grounds II\)


just drop it in there, as is, and it should show up when you restart FGII

Chewable
January 28th, 2011, 17:41
Worked like a charm. Thank you.

Pogybait
February 24th, 2019, 23:03
Has anyone gotten this to work recently. Trying to install http://www.erkenfresh.com/Champions6e.pak

It's a bit dated and all I actually need is the character sheet portion


I followed the directions on the enclosed sheet and got the following error when attempting to create a new campaign.

Script Error: [string "scripts/manager_targeting.lua"]:10: attempt to call field 'setCustomDeleteCombatantHandler' (a nil value)
Script Error: [string "scripts/manager_token.lua"]:20: attempt to call field 'setCustomDeleteCombatantHandler' (a nil value)
Script Error: [string "desktop/scripts/desktop.lua"]:9: attempt to call field 'registerLaunchMessage' (a nil value)
Script Error: [string "shortcuts"]:1: attempt to call field 'registerContainerWindow' (a nil value)
Script Error: [string "desktop/scripts/chat_entry.lua"]:7: attempting to set a nil value as a handler function
Script Error: [string "desktop/scripts/chat_window.lua"]:11: attempt to call field 'retrieveLaunchMessages' (a nil value)
Ruleset Warning: chat: Could not find icon (rulesetlogo_Champions6e)
Runtime Notice: Returning to launcher

damned
February 24th, 2019, 23:55
For what ruleset/pak file please?

LordEntrails
February 25th, 2019, 16:29
Has anyone gotten this to work recently. Trying to install http://www.erkenfresh.com/Champions6e.pak

It's a bit dated and all I actually need is the character sheet portion
You installed it correctly. But since the last blog on that website is November 2016, the ruleset is not only dated, but significant changes have been made to FG since then. Hence the errors you are getting are indicating that that ruleset is no longer compatible.

To get anything usable out of it you are going to have to rename it to .zip, extract the files and then edit them or pull the parts you want into your own ruleset extension. If that's something you want to do, I'll leave that for others to help you with, since I've never done a ruleset.